function animLoop(aSprite, animationName, minFrameTime, maxFrameTime, minDelayTime, maxDelayTime)
	if (minFrameTime == nil) then minFrameTime = 50 end
	if (maxFrameTime == nil) then maxFrameTime = 80 end
	if (minDelayTime == nil) then minDelayTime = 1000 end
	if (maxDelayTime == nil) then maxDelayTime = 2500 end	
	
	local frameTime = math.random(minFrameTime, maxFrameTime)
	local delayTime = math.random(minDelayTime, maxDelayTime)
	
	aSprite:animate(animationName,
		{ alpha=1											},
		{ delay=delayTime									},
		{ startframe=0, 		frametime=frameTime,		},
		{ frame=0											}
	)	

end
